DBIx::Class::Exception(3)

NAME
DBIx::Class::Exception - Exception objects for DBIx::Class

DESCRIPTION
Exception objects of this class are used internally by the default error handling of "throw_exception" in DBIx::Class::Schema and derivatives.

These objects stringify to the contained error message, and use overload fallback to give natural boolean/numeric values.

METHODS

  throw

Arguments: $exception_scalar, $stacktrace

This is meant for internal use by DBIx::Class's "throw_exception" code, and shouldn't be used directly elsewhere.

Expects a scalar exception message. The optional argument $stacktrace tells it to output a full trace similar to "confess" in Carp.

  DBIx::Class::Exception->throw('Foo');
  try { ... } catch { DBIx::Class::Exception->throw(shift) }

  rethrow
This method provides some syntactic sugar in order to re-throw exceptions.

AUTHORS
Brandon L. Black <blblack@gmail.com>

LICENSE
You may distribute this code under the same terms as Perl itself.